Page MenuHomePhabricator

Remove WebRequest::getLimitOffset
Closed, ResolvedPublic

Description

Deprecated in favor of WebRequest::getLimitOffsetForUser, see T243805: WebRequest::getLimitOffset should accept a user
All deployed uses have already been updated, see subtask for remaining calls that are not WMF deployed

Event Timeline

DannyS712 changed the task status from Open to Stalled.Feb 20 2020, 8:47 PM
DannyS712 triaged this task as Medium priority.
DannyS712 created this task.
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.

Cannot be actioned until 1.36

DannyS712 moved this task from Next to Later on the User-DannyS712 board.Apr 13 2020, 9:13 PM
DannyS712 changed the task status from Stalled to Open.Jul 14 2020, 9:52 AM

Change 616491 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove hard deprecated WebRequest::getLimitOffset

https://gerrit.wikimedia.org/r/616491

@Pchelolo @cicalese @BPirkle Are you still willing to review the patches for deprecating $wgUser?

@Pchelolo @cicalese @BPirkle Are you still willing to review the patches for deprecating $wgUser?

I'm very willing, but struggling to keep up with my various priorities (and also attending KubeCon 2020 this week). At a glance, this change looks reasonably straightforward. I'll try to look at it soon.

@cicalese and @Pchelolo are off of Clinic Duty this sprint. That doesn't mean they're not doing code review sometimes still, but it is likely not at the top of their list.

Change 616491 merged by jenkins-bot:
[mediawiki/core@master] Remove hard deprecated WebRequest::getLimitOffset

https://gerrit.wikimedia.org/r/616491

DannyS712 closed this task as Resolved.Aug 22 2020, 12:06 AM
DannyS712 removed a project: Patch-For-Review.